<?xml version="1.0" ?>
<launch>


    <arg name="model" default="panda" />

    <!-- <arg name="robot_ip" default="172.16.0.3" />
    <arg name="load_gripper" default="true" />
    <arg name="sim" default="true" />    
    <arg name="controller" value="velocity_tracking"/>
    <arg name="using_rosbag" default="false"/>

  <arg name="x"           default="0.0"     doc="How far forward to place the base of the robot in [m]?" />
  <arg name="y"           default="0.0"     doc="How far leftwards to place the base of the robot in [m]?" />
  <arg name="z"           default="0.0"     doc="How far upwards to place the base of the robot in [m]?" />
  <arg name="roll"        default="0.0"     doc="How much to rotate the base of the robot around its X-axis in [rad]?" />
  <arg name="pitch"       default="0.0"     doc="How much to rotate the base of the robot around its Y-axis in [rad]?" />
  <arg name="yaw"         default="0.0"     doc="How much to rotate the base of the robot around its Z-axis in [rad]?" /> -->

    <env name="ROSCONSOLE_CONFIG_FILE" value="$(find gimbal_gazebo_qontrol)/config/rosconsol.conf"/>
    <group ns="$(arg model)">

        <!-- <param if="$(arg sim)" name="robot_description"
         command="xacro $(find franka_description)/robots/panda_arm.urdf.xacro
                  gazebo:=$(arg sim)
                  hand:=$(arg load_gripper)
                  model:=panda
                  xyz:='$(arg x) $(arg y) $(arg z)'
                  rpy:='$(arg roll) $(arg pitch) $(arg yaw)'">
        </param> -->

        <node name="rviz" pkg="rviz"  type="rviz" args="-d $(find gimbal_gazebo_qontrol)/rviz/tracking.rviz"/> 

    </group>
</launch>
